List the transport price list
Every line, in the rescue’s own order, retired ones included. Needs read on Animals.
GET
https://{organization}.rescueconsole.com
/
api
/
animals
/
transport-services
List the transport price list
curl --request GET \
--url https://{organization}.rescueconsole.com/api/animals/transport-services \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/animals/transport-services', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/animals/transport-services"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"results": [
{
"id": "<string>",
"label": "<string>",
"kind": "surgery",
"pricing": "flat",
"amount_cents": 1,
"species": "<string>",
"sex": "male",
"size": "small",
"sort_order": 123,
"is_active": true,
"notes": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}⌘I
List the transport price list
curl --request GET \
--url https://{organization}.rescueconsole.com/api/animals/transport-services \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/animals/transport-services', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/animals/transport-services"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"results": [
{
"id": "<string>",
"label": "<string>",
"kind": "surgery",
"pricing": "flat",
"amount_cents": 1,
"species": "<string>",
"sex": "male",
"size": "small",
"sort_order": 123,
"is_active": true,
"notes": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}